Name: x11-driver-video-tga
Version: 1.2.2
Release: %mkrel 21
Summary: X.org driver for DEC Tga Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-tga-%{version}.tar.bz2
Patch0: 0001-Remove-mibstore.h.patch
License: MIT
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: pkgconfig(xorg-server) >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

%description
x11-driver-video-tga is the X.org driver for DEC Tga Cards.

%prep
%setup -q -n xf86-video-tga-%{version}
%autopatch -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING
%{_libdir}/xorg/modules/drivers/tga_drv.so




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.2.2-21.mga8
+ Revision: 1518565
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.2-20.mga7
+ Revision: 1301775
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 wally <wally> 1.2.2-19.mga7
+ Revision: 1238591
- fix build on aarch64
- drop .la files
- use new make macros
- drop old conflicts

* Fri Mar 09 2018 tv <tv> 1.2.2-18.mga7
+ Revision: 1207726
- rebuild for xserver 1.20 RC1

* Thu Nov 17 2016 tv <tv> 1.2.2-17.mga6
+ Revision: 1067735
- rebuild for xserver 1.19

* Sat Jul 23 2016 tmb <tmb> 1.2.2-16.mga6
+ Revision: 1043293
- rebuild for xorg-server 1.18.4

* Wed Feb 17 2016 umeabot <umeabot> 1.2.2-15.mga6
+ Revision: 963429
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 tv <tv> 1.2.2-14.mga6
+ Revision: 902320
- submit to core/release

* Wed Nov 11 2015 tv <tv> 1.2.2-13.mga6
+ Revision: 902072
- rebuild for new xserver

* Sat Jun 20 2015 tv <tv> 1.2.2-12.mga6
+ Revision: 836064
- rebuild for xserver 1.17

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-11.mga5
+ Revision: 740403
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-10.mga5
+ Revision: 690463
- Mageia 5 Mass Rebuild

* Mon Jun 09 2014 tv <tv> 1.2.2-9.mga5
+ Revision: 635057
- submit to core/release

* Fri Jun 06 2014 tv <tv> 1.2.2-8.mga5
+ Revision: 633702
- rebuild for new xserver RC

* Tue Apr 15 2014 tv <tv> 1.2.2-7.mga5
+ Revision: 614392
- rebuild for new xserver

* Tue Feb 04 2014 tv <tv> 1.2.2-6.mga5
+ Revision: 582380
- patch 0: fix build with xserver-1.14

* Sat Oct 19 2013 umeabot <umeabot> 1.2.2-5.mga4
+ Revision: 525454
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.2.2-4.mga4
+ Revision: 433204
- submit to core/release

* Fri May 24 2013 tv <tv> 1.2.2-3.mga4
+ Revision: 426057
- patch 0: fix build with xserver-1.14

* Mon Jan 14 2013 umeabot <umeabot> 1.2.2-3.mga3
+ Revision: 386029
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 1.2.2-2.mga3
+ Revision: 288978
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 1.2.2-1.mga3
+ Revision: 273766
- new release
- new release

* Wed Jun 06 2012 tmb <tmb> 1.2.1-9.mga3
+ Revision: 256507
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 1.2.1-8.mga3
+ Revision: 253031
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 1.2.1-7.mga3
+ Revision: 249977
- rebuild for new X.org server

* Tue Dec 06 2011 tmb <tmb> 1.2.1-6.mga2
+ Revision: 177690
- submit to core/release

* Sat Oct 08 2011 tv <tv> 1.2.1-5.mga2
+ Revision: 153137
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 1.2.1-4.mga1
+ Revision: 64419
- rebuild for new xserver-1.10

* Fri Feb 11 2011 tmb <tmb> 1.2.1-3.mga1
+ Revision: 50324
- imported package x11-driver-video-tga


* Wed Nov 10 2010 Thierry Vignaud <tv@mandriva.org> 1.2.1-3mdv2011.0
+ Revision: 595730
- require xorg server with proper ABI

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.2.1-2mdv2011.0
+ Revision: 584626
- bump release before rebuilding for xserver 1.9

* Sun Oct 10 2010 Thierry Vignaud <tv@mandriva.org> 1.2.1-1mdv2011.0
+ Revision: 584623
- new release

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt for 2010.1

* Tue Aug 11 2009 Funda Wang <fwang@mandriva.org> 1.2.0-3mdv2010.0
+ Revision: 414550
- use configure2_5555555555555555555555555555555555555555555555555555555  SPECS/x11-driver-video-tga.spec

* Tue Dec 30 2008 Colin Guthrie <cguthrie@mandriva.org> 1.2.0-3mdv2009.1
+ Revision: 321381
- Rebuild for new xserver

* Sun Nov 30 2008 Adam Williamson <awilliamson@mandriva.org> 1.2.0-2mdv2009.1
+ Revision: 308263
- rebuild for new X server

* Thu Sep 04 2008 Thierry Vignaud <tv@mandriva.org> 1.2.0-1mdv2009.0
+ Revision: 280663
- new release
- rebuild
- improved description
- fix group
- add missing dot at end of description
- improved summary

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.0-6mdv2008.1
+ Revision: 166143
- Revert to use upstream tarball and remove local patches.

* Tue Jan 22 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.0-5mdv2008.1
+ Revision: 156623
- re-enable rpm debug packages support

* Fri Jan 18 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.1.0-4mdv2008.1
+ Revision: 154791
- Updated BuildRequires and resubmit package.
- Remove -devel package as it isn't really required as it provides only 2 files
  that aren't even header files; still don't install the .la files.
  All dependency files should be stored in the x11-util-modular package as they
  are only required for the "modular" build.
- Move .la files to new -devel package, and also add .deps files to -devel package.
- Note local tag xf86-video-tga-1.1.0@mandriva suggested on upstream
  Tag at git checkout e15d5160c3b9466f2ec3b5fc66695f70885fa133
- Update for new policy of hidden symbols and common macros.

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 1.1.0-3mdv2008.1
+ Revision: 99056
- minor spec cleanup
- build against new xserver (1.4)

* Thu Aug 30 2007 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdv2008.0
+ Revision: 75811
- rebuild


* Mon Jun 05 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-06-05 21:11:32 (36659)
- new upstream release

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository

